package api

// BindComponentByPC 构建PC端授权链接
const BindComponentByPC = "https://mp.weixin.qq.com/cgi-bin/componentloginpage"

// BindComponentByH5 构建移动端授权链接
const BindComponentByH5 = "https://mp.weixin.qq.com/safe/bindcomponent"

// StartPushTicket 启动票据推送服务
const StartPushTicket = "https://api.weixin.qq.com/cgi-bin/component/api_start_push_ticket"

// ComponentToken 获取令牌
const ComponentToken = "https://api.weixin.qq.com/cgi-bin/component/api_component_token"

// CreatePreAuthCode 获取预授权码
const CreatePreAuthCode = "https://api.weixin.qq.com/cgi-bin/component/api_create_preauthcode"

// QueryAuth 获取授权信息
const QueryAuth = "https://api.weixin.qq.com/cgi-bin/component/api_query_auth"

// AuthorizerToken 获取/刷新接口调用令牌
const AuthorizerToken = "https://api.weixin.qq.com/cgi-bin/component/api_authorizer_token"

// GetAuthorizerInfo 获取授权帐号信息
const GetAuthorizerInfo = "https://api.weixin.qq.com/cgi-bin/component/api_get_authorizer_info"

// GetAuthorizerList 拉取所有已授权的帐号信息
const GetAuthorizerList = "https://api.weixin.qq.com/cgi-bin/component/api_get_authorizer_list"

// GetAuthorizerOption 获取授权方选项信息
const GetAuthorizerOption = "https://api.weixin.qq.com/cgi-bin/component/api_get_authorizer_option"

// SetAuthorizerOption 设置授权方选项信息
const SetAuthorizerOption = "https://api.weixin.qq.com/cgi-bin/component/api_set_authorizer_option"
