package entity

// MiniProgramNetwork 小程序配置的合法域名信息
type MiniProgramNetwork struct {
	RequestDomain   []string `json:"RequestDomain"`
	WsRequestDomain []string `json:"WsRequestDomain"`
	UploadDomain    []string `json:"UploadDomain"`
	DownloadDomain  []string `json:"DownloadDomain"`
	BizDomain       []string `json:"BizDomain"`
	UDPDomain       []string `json:"UDPDomain"`
}

// MiniProgramCategory 小程序配置的类目信息
type MiniProgramCategory struct {
	First  string `json:"first"`
	Second string `json:"second"`
}

// MiniProgramInfo 小程序配置
type MiniProgramInfo struct {
	Network    MiniProgramNetwork    `json:"network"`
	Categories []MiniProgramCategory `json:"categories"`
}
