package entity

// AuthorizerBasicInfo 公众号/小程序帐号基本信息
type AuthorizerBasicInfo struct {
	AuthorizerAppid string  `json:"authorizer_appid"`
	RefreshToken    string  `json:"refresh_token"`
	AuthTime        float64 `json:"auth_time"`
}

// AuthorizerInfo 公众号/小程序帐号信息
type AuthorizerInfo struct {
	NickName        string          `json:"nick_name"`
	HeadImg         string          `json:"head_img"`
	ServiceTypeInfo Enum            `json:"service_type_info"`
	VerifyTypeInfo  Enum            `json:"verify_type_info"`
	UserName        string          `json:"user_name"`
	PrincipalName   string          `json:"principal_name"`
	Signature       string          `json:"signature"`
	Alias           string          `json:"alias"`
	BusinessInfo    BusinessInfo    `json:"business_info"`
	QrcodeUrl       string          `json:"qrcode_url"`
	MiniProgramInfo MiniProgramInfo `json:"MiniProgramInfo"`
}
