package utils

import "net/url"

// ParseURL 解析URL
func ParseURL(rawURL string, param *url.Values) (*url.URL, error) {
	u, err := url.Parse(rawURL)
	if err != nil {
		return nil, err
	}

	if nil != param {
		u.RawQuery = param.Encode()
	}

	return u, nil
}
